Facebook error on Premium SNAP

Forums SNAP – WordPress Plugin Forums Facebook error on Premium SNAP

Viewing 15 posts - 1 through 15 (of 15 total)
  • Author
    Posts
  • #582725
    socialbutterfly
    Participant

      Hello, Instagram and twitter are working but are getting this Facebook error message now tonight. Can you please advise ASAP:
      [Error] [Facebook – Facebook #5] – -=ERROR=- ERROR FB #7 (POST|p|A):Array ( [data] => Array ( [story_create] => ) [errors] => Array ( [0] => Array ( [message] => Invalid values provided for variables of operation “ComposerStoryCreateMutation”: You must provide a value for non-optional variable “$input”. Note: This is currently only a warning, but it will soon be strictly enforced! [severity] => WARNING ) [1] => Array ( [message] => Invalid values provided for variables of operation “ComposerStoryCreateMutation”: You must provide a value for non-optional variable “$isComet”. Note: This is currently only a warning, but it will soon be strictly enforced! [severity] => WARNING ) [2] => Array ( [message] => Invalid values provided for variables of operation “ComposerStoryCreateMutation”: You must provide a value for non-optional variable “$scale”. Note: This is currently only a warning, but it will soon be strictly enforced! [severity] => WARNING ) [3] => Array ( [message] => Invalid values provided for variables of operation “ComposerStoryCreateMutation”: You must provide a value for non-optional variable “$privacySelectorRenderLocation”. Note: This is currently only a warning, but it will soon be strictly enforced! [severity] => WARNING ) [4] => Array ( [message] => Invalid values provided for variables of operation “ComposerStoryCreateMutation”: You must provide a value for non-optional variable “$isFeed”. Note: This is currently only a warning, but it will soon be strictly enforced! [severity] => WARNING ) [5] => Array ( [message] => Invalid values provided for variables of operation “ComposerStoryCreateMutation”: You must provide a value for non-optional variable “$isFundraiser”. Note: This is currently only a warning, but it will soon be strictly enforced! [severity] => WARNING ) [6] => Array ( [message] => Invalid values provided for variables of operation “ComposerStoryCreateMutation”: You must provide a value for non-optional variable “$isFunFactPost”. Note: This is currently only a warning, but it will soon be strictly enforced! [severity] => WARNING ) [7] => Array ( [message] => Invalid values provided for variables of operation “ComposerStoryCreateMutation”: You must provide a value for non-optional variable “$isGroup”. Note: This is currently only a warning, but it will soon be strictly enforced! [severity] => WARNING ) [8] => Array ( [message] => Invalid values provided for variables of operation “ComposerStoryCreateMutation”: You must provide a value for non-optional variable “$isTimeline”. Note: This is currently only a warning, but it will soon be strictly enforced! [severity] => WARNING ) [9] => Array ( [message] => Errors while executing operation “ComposerStoryCreateMutation”: At Mutation.story_create: Invalid value for argument “data”: Variable “input” is used in a value of a required argument or field, but the value of this variable was not provided. [severity] => CRITICAL [code] => 1675012 [api_error_code] => [summary] => Your request couldn’t be processed [description] => There was a problem with this request. We’re working on getting it fixed as soon as we can. [description_raw] => There was a problem with this request. We’re working on getting it fixed as soon as we can. [is_silent] => [is_transient] => [requires_reauth] => [allow_user_retry] => [debug_info] => [query_path] => [fbtrace_id] => BmWytMUOuJL [www_request_id] => AyEBw6m7dGsqUy07d9WajsC [path] => Array ( [0] => story_create ) ) ) [extensions] => Array ( [is_final] => 1 ) )  

      #582732

      Hello,
      i have since today the same problem :o(
      Plugin Version: 4.3.18 [Pro]
      API Version: 4.5.1

      #582740

      same porblem to me,how to resolve this?

      #582744

      Same here…..

      #582761

      Can we get any answer ??A lot of poeple have same problem

      #582764

      I have this error. how can I fix it please?
      Testing …

      ERROR FB #7 (POST|p|A):Array
      (
      [data] => Array
      (
      [story_create] =>
      )

      [errors] => Array
      (
      [0] => Array
      (
      [message] => Invalid values provided for variables of operation “ComposerStoryCreateMutation”: You must provide a value for non-optional variable “$input”. Note: This is currently only a warning, but it will soon be strictly enforced!
      [severity] => WARNING
      )

      [1] => Array
      (
      [message] => Invalid values provided for variables of operation “ComposerStoryCreateMutation”: You must provide a value for non-optional variable “$isComet”. Note: This is currently only a warning, but it will soon be strictly enforced!
      [severity] => WARNING
      )

      [2] => Array
      (
      [message] => Invalid values provided for variables of operation “ComposerStoryCreateMutation”: You must provide a value for non-optional variable “$scale”. Note: This is currently only a warning, but it will soon be strictly enforced!
      [severity] => WARNING
      )

      [3] => Array
      (
      [message] => Invalid values provided for variables of operation “ComposerStoryCreateMutation”: You must provide a value for non-optional variable “$privacySelectorRenderLocation”. Note: This is currently only a warning, but it will soon be strictly enforced!
      [severity] => WARNING
      )

      [4] => Array
      (
      [message] => Invalid values provided for variables of operation “ComposerStoryCreateMutation”: You must provide a value for non-optional variable “$isFeed”. Note: This is currently only a warning, but it will soon be strictly enforced!
      [severity] => WARNING
      )

      [5] => Array
      (
      [message] => Invalid values provided for variables of operation “ComposerStoryCreateMutation”: You must provide a value for non-optional variable “$isFundraiser”. Note: This is currently only a warning, but it will soon be strictly enforced!
      [severity] => WARNING
      )

      [6] => Array
      (
      [message] => Invalid values provided for variables of operation “ComposerStoryCreateMutation”: You must provide a value for non-optional variable “$isFunFactPost”. Note: This is currently only a warning, but it will soon be strictly enforced!
      [severity] => WARNING
      )

      [7] => Array
      (
      [message] => Invalid values provided for variables of operation “ComposerStoryCreateMutation”: You must provide a value for non-optional variable “$isGroup”. Note: This is currently only a warning, but it will soon be strictly enforced!
      [severity] => WARNING
      )

      [8] => Array
      (
      [message] => Invalid values provided for variables of operation “ComposerStoryCreateMutation”: You must provide a value for non-optional variable “$isTimeline”. Note: This is currently only a warning, but it will soon be strictly enforced!
      [severity] => WARNING
      )

      [9] => Array
      (
      [message] => Errors while executing operation “ComposerStoryCreateMutation”: At Mutation.story_create: Invalid value for argument “data”: Variable “input” is used in a value of a required argument or field, but the value of this variable was not provided.
      [severity] => CRITICAL
      [code] => 1675012
      [api_error_code] =>
      [summary] => Your Request Couldn’t be Processed
      [description] => There was a problem with this request. We’re working on getting it fixed as soon as we can.
      [description_raw] => There was a problem with this request. We’re working on getting it fixed as soon as we can.
      [is_silent] =>
      [is_transient] =>
      [requires_reauth] =>
      [allow_user_retry] =>
      [debug_info] =>
      [query_path] =>
      [fbtrace_id] => DRWnVlNV1qG
      [www_request_id] => AurDZadYr7Lhss7u0ek9pCo
      [path] => Array
      (
      [0] => story_create
      )

      )

      )

      [extensions] => Array
      (
      [is_final] => 1
      )

      )
      ERROR FB #7 (POST|p|A):Array ( [data] => Array ( [story_create] => ) [errors] => Array ( [0] => Array ( [message] => Invalid values provided for variables of operation “ComposerStoryCreateMutation”: You must provide a value for non-optional variable “$input”. Note: This is currently only a warning, but it will soon be strictly enforced! [severity] => WARNING ) [1] => Array ( [message] => Invalid values provided for variables of operation “ComposerStoryCreateMutation”: You must provide a value for non-optional variable “$isComet”. Note: This is currently only a warning, but it will soon be strictly enforced! [severity] => WARNING ) [2] => Array ( [message] => Invalid values provided for variables of operation “ComposerStoryCreateMutation”: You must provide a value for non-optional variable “$scale”. Note: This is currently only a warning, but it will soon be strictly enforced! [severity] => WARNING ) [3] => Array ( [message] => Invalid values provided for variables of operation “ComposerStoryCreateMutation”: You must provide a value for non-optional variable “$privacySelectorRenderLocation”. Note: This is currently only a warning, but it will soon be strictly enforced! [severity] => WARNING ) [4] => Array ( [message] => Invalid values provided for variables of operation “ComposerStoryCreateMutation”: You must provide a value for non-optional variable “$isFeed”. Note: This is currently only a warning, but it will soon be strictly enforced! [severity] => WARNING ) [5] => Array ( [message] => Invalid values provided for variables of operation “ComposerStoryCreateMutation”: You must provide a value for non-optional variable “$isFundraiser”. Note: This is currently only a warning, but it will soon be strictly enforced! [severity] => WARNING ) [6] => Array ( [message] => Invalid values provided for variables of operation “ComposerStoryCreateMutation”: You must provide a value for non-optional variable “$isFunFactPost”. Note: This is currently only a warning, but it will soon be strictly enforced! [severity] => WARNING ) [7] => Array ( [message] => Invalid values provided for variables of operation “ComposerStoryCreateMutation”: You must provide a value for non-optional variable “$isGroup”. Note: This is currently only a warning, but it will soon be strictly enforced! [severity] => WARNING ) [8] => Array ( [message] => Invalid values provided for variables of operation “ComposerStoryCreateMutation”: You must provide a value for non-optional variable “$isTimeline”. Note: This is currently only a warning, but it will soon be strictly enforced! [severity] => WARNING ) [9] => Array ( [message] => Errors while executing operation “ComposerStoryCreateMutation”: At Mutation.story_create: Invalid value for argument “data”: Variable “input” is used in a value of a required argument or field, but the value of this variable was not provided. [severity] => CRITICAL [code] => 1675012 [api_error_code] => [summary] => Your Request Couldn’t be Processed [description] => There was a problem with this request. We’re working on getting it fixed as soon as we can. [description_raw] => There was a problem with this request. We’re working on getting it fixed as soon as we can. [is_silent] => [is_transient] => [requires_reauth] => [allow_user_retry] => [debug_info] => [query_path] => [fbtrace_id] => DRWnVlNV1qG [www_request_id] => AurDZadYr7Lhss7u0ek9pCo [path] => Array ( [0] => story_create ) ) ) [extensions] => Array ( [is_final] => 1 ) )

      #582777

      Same here. Waiting for a fix or workaround.

      #582799
      bwyderko
      Participant

        I’m having the same problem. The newest API update for the WordPress plugin is what caused it I think (v 4.5.1). Facebook is removing the old layout (the blue/white one) and Nextscripts can’t post to Facebook personal profiles that are using the new layout. Last week Ludwig (the Nextscripts support guy) told me that the most recent plugin update and the 2nd to last API update would fix the problem, but I still couldn’t post to profiles using the new layout. Now the API has been updated again and I’m guessing that update was supposed to fix it, but it’s just made things worse since now we can’t post to Facebook at all!

        #582808
        NextScripts
        Keymaster

          That was related to New Facebook Design transition.

          Most of the issues associated with New Facebook Design were resolved in the API version 4.5.3. Connection with session, postings to Profiles, Pages and Groups as well as “Comments import” should be working now. Please go to the Help/Support page in the plugin and click “[Check for API Update]”.

          Please see here for more info.

          Facebook Issues during new design transition.

          #582810
          socialbutterfly
          Participant

            Thank you for your help.

            #582811
            bwyderko
            Participant

              Thanks for the info and the updated API. I just tested and it is working for me now.

              #582834
              MaFt
              Blocked

                Can the ‘PRO’ API maybe get updated too? That’s still version 4.4.0 from July…. 2019!!

                #586254
                mariagarner
                Blocked
                  #586618

                  Hello Ludwig. You wrote:

                  UPDATE (Sept 11, 2020): Most of the issues associated with New Facebook Design were resolved in the API version 4.5.1. Connection with session, postings to Profiles, Pages and Groups as well as “Comments import” should be working now. Please go to the Help/Support page in the plugin and click “[Check for API Update]”.

                  Well, sad to say, but even though I am using plugin version 4.3.20 and API version 4.5.14, and even though my session ID is current, after eight months, I am still unable to autopost to my Facebook timeline. Posting to my FB group and my FB page continue to work fine. It is just the timeline which refuses to cooperate.

                  I just tried manually again by going to a WP post and clicking on the “Post Now” button for my FB Timeline. This is what I got:

                  ERROR FB #7 (POST|u|I):Array ( [data] => Array ( [story_create] => ) [errors] => Array ( [0] => Array ( [message] => A GraphQL error field_exception occured. Check server logs for details. [severity] => CRITICAL [code] => 1357010 [api_error_code] => -1 [summary] => Oops [description] => Something went wrong. We’re working on getting it fixed as soon as we can. [description_raw] => Something went wrong. We’re working on getting it fixed as soon as we can. [is_silent] => [is_transient] => [requires_reauth] => [allow_user_retry] => [debug_info] => [query_path] => [fbtrace_id] => FvNog6Z7QdI [www_request_id] => Ad_OBsU0UP7frL6ku3Bdu9J [path] => Array ( [0] => story_create ) ) ) [extensions] => Array ( [is_final] => 1 ) )

                  On SNAP Pro’s log page, it says the following for my attempt to “Post Now”:

                  | WHERE (flt = “snap” OR (flt = “cron” AND (type = “E” OR type=”W”))) |
                  [2021-05-30 17:46:40] [User ID:1] – [Error] [Facebook – BBB Blog – Facebook Timeline] – -=ERROR=- ERROR FB #7 (POST|u|I):Array ( [data] => Array ( [story_create] => ) [errors] => Array ( [0] => Array ( [message] => A GraphQL error field_exception occured. Check server logs for details. [severity] => CRITICAL [code] => 1357010 [api_error_code] => -1 [summary] => Oops [description] => Something went wrong. We’re working on getting it fixed as soon as we can. [description_raw] => Something went wrong. We’re working on getting it fixed as soon as we can. [is_silent] => [is_transient] => [requires_reauth] => [allow_user_retry] => [debug_info] => [query_path] => [fbtrace_id] => FvNog6Z7QdI [www_request_id] => Ad_OBsU0UP7frL6ku3Bdu9J [path] => Array ( [0] => story_create ) ) ) [extensions] => Array ( [is_final] => 1 ) ) IS SCIENCE BETTER THAN THE BIBLE? — a Bill’s Bible Basics Article

                  Facebook is such a pain in the butt!

                  BTW, when I check for an API update, the progress wheel just spins and spins and spins and never seems to connect to your site for some reason.

                  • This reply was modified 3 years, 1 month ago by WordWeaver777@gmail.com. Reason: Added comment regarding problem with updating API
                  #595774

                  i have the same error with api API Version: 4.5.19 [ID:15843]

                Viewing 15 posts - 1 through 15 (of 15 total)
                • You must be logged in to reply to this topic.